Option Strict Off
Option Explicit On
Module Module1
	Structure ADU_DEVICE_ID
		Dim iVendorId As Short
		Dim iProductId As Short
		<VBFixedString(7),System.Runtime.InteropServices.MarshalAs(System.Runtime.InteropServices.UnmanagedType.ByValTStr,SizeConst:=7)> Public sSerialNumber As String
	End Structure
	
	Declare Function OpenAduDevice Lib "AduHid.DLL" (ByVal iTimeout As Integer) As Integer
	
	Declare Function WriteAduDevice Lib "AduHid.DLL" (ByVal aduHandle As Integer, ByVal lpBuffer As String, ByVal lNumberOfBytesToWrite As Integer, ByRef lBytesWritten As Integer, ByVal iTimeout As Integer) As Integer
	
	Declare Function ReadAduDevice Lib "AduHid.DLL" (ByVal aduHandle As Integer, ByVal lpBuffer As String, ByVal lNumberOfBytesToRead As Integer, ByRef lBytesRead As Integer, ByVal iTimeout As Integer) As Integer
	
	Declare Function CloseAduDevice Lib "AduHid.DLL" (ByVal iOverlapped As Integer) As Integer
	
	'UPGRADE_ISSUE: Declaring a parameter 'As Any' is not supported. Click for more: 'ms-help://MS.VSCC/commoner/redir/redirect.htm?keyword="vbup1016"'
	'UPGRADE_WARNING: Structure ADU_DEVICE_ID may require marshalling attributes to be passed as an argument in this Declare statement. Click for more: 'ms-help://MS.VSCC/commoner/redir/redirect.htm?keyword="vbup1050"'
    Declare Function ShowAduDeviceList Lib "AduHid.DLL" (ByRef pAduDeviceId As ADU_DEVICE_ID, ByVal sPrompt As String) As Integer
End Module